klistviewlineedit.h
/* This file is part of the KDE libraries
Copyright (C) 2000 Charles Samuels <charles@kde.org>
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License version 2 as published by the Free Software Foundation.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
#ifndef KLISTVIEWLINEEDIT_H
#define KLISTVIEWLINEEDIT_H
#include <klineedit.h>
#include <klistview.h>
class KDEUI_EXPORT KListViewLineEdit : public KLineEdit
{
Q_OBJECT
public:
KListViewLineEdit(KListView *parent);
~KListViewLineEdit();
QListViewItem *currentItem() const;
signals:
void done(QListViewItem*, int);
public slots:
void terminate();
void load(QListViewItem *i, int c);
protected:
virtual void focusOutEvent(QFocusEvent *);
virtual void keyPressEvent(QKeyEvent *e);
virtual void paintEvent(QPaintEvent *e);
virtual bool event (QEvent *pe);
void selectNextCell (QListViewItem *pi, int column, bool forward);
void terminate(bool commit);
QListViewItem *item;
int col;
KListView* const p;
protected slots:
void slotSelectionChanged();
void slotItemRemoved(QListViewItem *i);
};
#endif
KListView
This Widget extends the functionality of QListView to honor the system wide settings for Single Click...
Definition: klistview.h:53
KLineEdit::keyPressEvent
virtual void keyPressEvent(QKeyEvent *)
Re-implemented for internal reasons.
Definition: klineedit.cpp:440
KLineEdit::focusOutEvent
virtual void focusOutEvent(QFocusEvent *)
Re-implemented for internal reasons.
Definition: klineedit.cpp:1355
KLineEdit
An enhanced QLineEdit widget for inputting text.
Definition: klineedit.h:145
KListViewLineEdit
the editor for a KListView.
Definition: klistviewlineedit.h:28

KDE Home | KDE Accessibility Home | Description of Access Keys